﻿// WPF 客户端上传文件到 ASP.NET MVC 网站
// http://snowdream.cnblogs.com/

using System;
using System.Web;
using System.Web.Mvc;

namespace Snowdream.Sample.UploadFile.Server.Controllers
{
    public class SampleController : Controller
    {
        //
        // GET: /Sample/

        /// <summary>
        /// 上传
        /// </summary>
        /// <param name="file">上传的文件信息</param>
        /// <returns></returns>
        [HttpPost]  // 允许以POST方式提交数据
        public int Upload(HttpPostedFileBase file)
        {
            file.SaveAs(Server.MapPath(String.Format("/UploadFiles/{0}", file.FileName)));  // 保存文件
            return 0;  // 返回数据给客户端
        }

    }
}
