﻿// WPF 客户端上传文件到 ASP.NET MVC 网站
// http://snowdream.cnblogs.com/

using System.Windows;
using System.Net;
using Microsoft.Win32;

namespace Snowdream.Sample.UploadFile.Client
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        /// <summary>
        /// 选择文件按钮
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void select_Click(object sender, RoutedEventArgs e)
        {
            OpenFileDialog dialog = new OpenFileDialog();  // 初始化对话框
            dialog.Multiselect = false;  // 不允许选中多个文件
            dialog.ShowDialog();  // 显示对话框
            filePath.Content = dialog.FileName;  // 把文件路径显示在界面上
            upload.IsEnabled = true;  // 允许按上传按钮
        }

        /// <summary>
        /// 上传文件按钮
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void upload_Click(object sender, RoutedEventArgs e)
        {
            string url="http://localhost/Sample/Upload";  // 上传文件的服务端URL
            WebClient webClient = new WebClient();  // 初始化WebClient
            webClient.UploadFile(url, filePath.Content.ToString());  // 上传文件
        }
    }
}
